

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: azure;
}

.parteCIMA,
.parteMEIO,
.parteBAIXO,
.partePROFUNDA,
.parteEXTREMA,
.parteERRO,
.parteNOVO,
.parteAVISO,
.parteQUASEMEIO {
    background-color: darksalmon;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
    position: relative;
    padding: 20px;
    z-index: 1;
}

.parteMEIO {
    background-color: blue;
    color: aliceblue;
}

.parteBAIXO {
    text-align: center;
    background-color: hotpink;
    color: white;
}

.partePROFUNDA {
    text-align: center;
    background-color: darkslategrey;
    color: white;
}

.parteEXTREMA {
    background-color: red;
    color: white;
}

.parteERRO {
    background-color: red;
    color: white;
}

.parteNOVO {
    background-color: forestgreen;
    color: white;
}

.parteAVISO {
    background-color: rgb(95, 95, 0);
    color: white;
}

.parteQUASEMEIO {
    background-color: blue;
    /* background-color: rgb(0, 0, 181); */
    color: aliceblue;
}
.header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 0;
    text-align: center;
}

.header h1 {
    font-size: 2em;
}

.titulo {
    font-size: 10vmax;
}

#parte {
    width: 100%;
    height: 110vh;
}

.partes {
    width: 50%;
    transform: translateX(50%);
    display: flex;
    justify-content: center;
    position: fixed;
    z-index: 10;
    padding: 20px;
    background-color: rgba(128, 128, 128, 0);
    border: 1px solid black;
}

.aquele {
    color: black;
}

.bt {
    background-color: rgba(0, 128, 0, 0);
    color: black;
    border: 0;
    border-radius: 0;
    text-decoration: none;
    transition: all 0.1s;
    font-size: xx-large;
    margin: 5px;
}

.bt:hover {
    color: rgb(55, 55, 55);
    cursor: pointer;
    text-decoration: underline;
}

.btt {
    background-color: rgba(0, 128, 0, 0);
    color: black;
    border: 0;
    border-radius: 0;
    text-decoration: none;
    font-size: xx-large;
    margin: 5px;
}

.dividir {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 20px;
    flex-wrap: wrap;
}

.bloco {
    background-color: white;
    color: black;
    height: auto;
    border-radius: 0.4vmax;
    text-align: center;
    width: auto;
    transform: rotateY(-45deg);
    transition: all 0.3s ease;
}

.bloco:hover {
    transform: rotate(0deg);
}

.bloco:active {
    transform: rotateY(45deg);
}

.D {
    perspective: 800px;
}

.hr {
    border: 1px solid black;
}

.sobree {
    padding: 10px;
    width: 400px;
    height: 300px;
    overflow-y: auto;
    margin-right: 20px;
}

a {
    color: red;
}

.galeriaa {
    background-color: white;
    color: black;
    overflow-x: auto;
    overflow-y: hidden;
    border: 1px solid white;
    width: 50vmax;
    height: 5vmax;
    padding: 10px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    white-space: nowrap;
    scrollbar-width: thin;
}

.galeriaa a {
    display: inline-block;
    margin-right: 20px;
    text-align: center;
    white-space: nowrap;
}

.galeriaa::-webkit-scrollbar {
    height: 8px;
}

.galeriaa::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}

.galeriaa::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.1);
}

.normal {
    color: black;
}

.best {
    color: red;
}


@media(max-width:768px) {
    .header h1 {
        font-size: 1.5em;
    }

    .titulo {
        font-size: 8vmax;
    }

    .bloco {
        width: 100%;
        margin: 10px auto;
    }

    .sobree {
        width: 90%;
        margin-right: 0;
    }

    .partes {
        width: 50%;
        scale: 0.5;
        display: none;
    }
    
    .parteQUASEMEIO {
        background-color: rgb(0, 0, 181);
    }
    
    .galeriaa {
        flex-direction: column;
        height: auto;
    }
}



.mh {
    background-repeat: no-repeat;
    background-size: 100% 100%;
    height: 50px;
    width: 50px;
    border: 0;
    background-color: rgba(0, 255, 0, 0);
    transition: all 0.4s ease;
}

.mh:hover {
    cursor: pointer;
}

.mh:active {
    cursor: progress;
}

.termos {
    background-color: aliceblue;
    color: black;
    width: 100%;
    height: 100vh;
    scale: 1;
    position: fixed;
    text-align: center;
    overflow-y: auto;
}

.bts {
    color: black;
    background-color: rgb(0, 0, 0, 0);
    border: 0;
    font-size: 1.5vmax;
    transition: all 0.5s ease;
}

.bts:hover {
    border: 0;
    cursor: pointer;
    color: gray;
    text-decoration: underline;
}

.asdasd {
    text-align: center;
    display: flex;
    gap: 20px;
    justify-content: space-evenly;
}







/* @media (max-width: 768px) {
    .partes {
        position: sticky;
        top: 0;
        z-index: 100;
        background-color: rgba(255, 255, 255, 0.9);
        padding: 10px;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        scale: 0.8;
    }
} */



.baixarxa {
    background-color: green;
    border: none;
    color: white;
    width: 100px;
    transition: 0.2s all;
}

.baixarxa:hover {
    cursor: pointer;
    background-color: rgb(0, 105, 0);
    scale: 1.3;
    box-shadow: 1px 1px 1px 1px black;
}

.baixarxa:active {
    cursor: progress;
    scale: 0.8;
    box-shadow: none;
}

#ban {
    display: none;
}

#ban2 {
    display: none;
}

#FALSOSITE {
    background-color: white;
    color: black;
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 500;
    text-align: center;
    display: none;
}

#AvisoRapidoBreve {
    text-align: center;
}

.redd {
    color: rgb(88, 0, 0);
}

.creditos {
    z-index: 9999999;
    position: fixed;
    top: 10px;
    right: 10px;
}


@media (max-width: 480px) {
    .titulo {
        font-size: 5vmax;
    }

    .bloco {
        width: 100%;
    }

    .partes {
        scale: 0.6;
        display: none;

    }

    .galeriaa {
        width: 100%;
        height: auto;
        padding: 5px;
        flex-direction: column;
        margin-bottom: 10px;
    }

    .sobree {
        width: 100%;
        height: auto;
        padding: 5px;
        margin-bottom: 10px;
    }
}

/* . */

@media (max-width: 768px) {
    .header h1 {
        font-size: 1.5em;
    }

    .titulo {
        font-size: 6vmax;
    }

    .bloco {
        width: 100%;
        margin: 10px auto;
    }

    .sobree {
        width: 100%;
        margin-right: 0;
    }

    .partes {
        width: 50%;
        scale: 0.8;
        display: none;
    }

    .galeriaa {
        width: 90%;
        height: auto;
        padding: 10px;
        flex-direction: column;
        margin-bottom: 20px;
    }

    .galeriaa a {
        margin-right: 0;
        margin-bottom: 10px;
        width: 100%;
        text-align: left;
    }

    .asdasd {
        display: block;
        gap: 10px;
        margin: 0 auto;
        padding: 10px;
    }

    #pesquisaGaleria,
    #pesquisaMelhores {
        font-size: medium;
        padding: 10px;
    }
}

@media (max-width: 768px) {
    .partes {
        /* position: fixed;
        width: 50%;
        transform: scaleX(200%);
        z-index: 1000;
        background-color: rgba(255, 255, 255, 0.9);
        padding: 10px;
        display: flex;
        justify-content: space-around;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        height: auto;
        scale: 0.8; */
        display: none;
    }
}

/* importante */ 
@media(max-width:480px) {
    .titulo {
        font-size: 6vmax;
    }

}

@media (max-width: 900px) {
    .partes {
        /* position: fixed;
        width: 50%;
        transform: scaleX(200%);
        z-index: 1000;
        background-color: rgba(255, 255, 255, 0.9);
        padding: 10px;
        display: flex;
        justify-content: space-around;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        height: auto;
        scale: 0.8; */
        display: none;
    }
}
